{ ... }:
{
  imports = [
    ./forgejo-user.nix
  ];
  khscodes.infrastructure.provisioning.pre.modules = [
    {
      khscodes.vault = {
        enable = true;
        mount.forgejo = {
          path = "forgejo";
          type = "kv";
          options = {
            version = "2";
          };
          description = "Secrets used for forgejo";
        };
      };
    }
  ];
  khscodes.infrastructure.mailserver = {
    enable = true;
    domains = [ "kas.codes" ];
    dkim = {
      vault = {
        mount = "forgejo";
        prefixPath = "mailserver/dkim";
      };
    };
  };
  mailserver = {
    loginAccounts = {
      "forgejo@kas.codes" = {
        hashedPasswordFile = "/var/lib/vault-agent/mailserver/users/forgejo.passwd.hash";
        sendOnly = true;
      };
    };
  };
}
